<!DOCTYPE html>
<html>

<head>
  <link rel="icon" type="image/png" href="favicon.png" />
  <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons" />
  <link rel="stylesheet" href="https://code.getmdl.io/1.3.0/material.light_blue-deep_purple.min.css" />
  <script defer src="https://code.getmdl.io/1.3.0/material.min.js"></script>
  <link rel="stylesheet" href="getmdl-select.min.css">
  <script defer src="getmdl-select.min.js"></script>
  <script src="jquery-3.3.1.min.js"></script>
  <script defer src="calc.js"></script>
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <style>
    body {
      background-color: rgb(18, 18, 18);
    }

    .custom-content {
      border-radius: 2px;
      padding: 6px 34px;
      padding-bottom: 34px;
    }

    .no-padding {
      padding: 0px;
    }

    .no-margin {
      margin: 0px;
    }

    .text-list {
      overflow: auto;
      height: 250px;
    }

    .center-content {
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .is-hidden {
      display: none;
    }

    .mdl-switch__label,
    .mdl-switch__label,
    .mdl-textfield__input,
    .mdl-menu__item,
    h1,
    h3,
    h6 {
      color: white;
    }

    span.mdl-radio__label {
      color: white;
      transition: cubic-bezier(.4, 0, .2, 1) color .2s;
    }

    .mdl-radio__outer-circle {
      border: 2px solid rgba(255, 255, 255, 0.54);
    }

    .mdl-textfield__label,
    .getmdl-select .mdl-icon-toggle__label {
      color: rgba(255, 255, 255, 0.65);
    }

    .mdl-navigation__link,
    .is-checked span.mdl-radio__label,
    .getmdl-select.is-focused .mdl-icon-toggle__label {
      color: rgb(62, 166, 255);
    }

    .mdl-textfield__input {
      border-bottom: 1px solid rgba(255, 255, 255, 0.65);
    }

    .mdl-menu__outline {
      background: #424242;
    }

    .mdl-menu__item:hover {
      background-color: #888;
    }

    .getmdl-select .selected {
      background-color: #6d6d6d;
    }

    .mdl-switch__track {
      background: rgba(255, 255, 255, 0.26);
    }

    .mdl-textfield__input.is-good {
      border-bottom: 1px solid rgb(0, 255, 0, 0.65);
    }

    .mdl-textfield__input.is-bad {
      border-bottom: 1px solid rgba(255, 0, 0, 0.65);
    }

    .mdl-textfield__label.is-good {
      color: lime !important;
    }

    .mdl-textfield__label.is-bad {
      color: red !important;
    }

    .mdl-textfield__label.is-good:after {
      background-color: lime;
    }

    .mdl-textfield__label.is-bad:after {
      background-color: red;
    }

    .unsupported-1,
    .unsupported-2 {
      display: none;
    }
  </style>
</head>

<body>
  <div class="unsupported-1" style="text-align: center">
    <h1>Unsupported
      resolution!</h1>
  </div>
  <div class="unsupported-2" style="text-align: center">
    <h1>Touch is
      unsupported!</h1>
  </div>
  <div class="mdl-layout mdl-js-layout main-content">
    <div class="mdl-grid" style="margin: auto 0">
      <div class="mdl-cell mdl-cell--1-col">
      </div>
      <div class="custom-content mdl-cell mdl-cell--10-col" style="height:600px">
        <div class="mdl-grid no-padding">
          <div class="mdl-cell mdl-cell--6-col">
            <h3 style="margin: 0px 0px -4px 0px">offset calculator</h3>
          </div>
          <div class="mdl-cell mdl-cell--6-col">
            <div class="mdl-textfield mdl-js-textfield getmdl-select">
              <input type="text" value="" class="mdl-textfield__input" id="operation" readonly>
              <input type="hidden" value="" name="operation">
              <i class="mdl-icon-toggle__label material-icons">keyboard_arrow_down</i>
              <label for="operation" class="mdl-textfield__label">operation</label>
              <ul for="operation" class="mdl-menu mdl-menu--bottom-left mdl-js-menu">
                <li class="mdl-menu__item" data-val="JMPN" data-selected="true">jmp near</li>
                <li class="mdl-menu__item" data-val="JMPS">jmp short</li>
                <li class="mdl-menu__item" data-val="JZ">jz</li>
                <li class="mdl-menu__item" data-val="JZS">jz short</li>
                <li class="mdl-menu__item" data-val="JNZ">jnz</li>
                <li class="mdl-menu__item" data-val="JNZS">jnz short</li>
                <li class="mdl-menu__item" data-val="CALL">call</li>
                <li class="mdl-menu__item" data-val="CUSTOM">custom</li>
              </ul>
            </div>
            </label>
          </div>
        </div>
        <!-- is-hidden -->
        <div class="mdl-grid no-padding is-hidden" id="customopcodes">
          <div class="mdl-cell mdl-cell--6-col">
            <form>
              <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" style="width: 100%">
                <input class="mdl-textfield__input" type="text" id="custopcodes">
                <label class="mdl-textfield__label" for="custopcodes">OPCODE(s) (hex)</label>
              </div>
            </form>
          </div>
          <div class="mdl-cell mdl-cell--3-col center-content">
            <label class="mdl-switch mdl-js-switch" for="shortaddress" id="rainbow-only-label">
              <input type="checkbox" id="shortaddress" class="mdl-switch__input" />
              <span class="mdl-switch__label">SHORT</span>
            </label>

          </div>
        </div>
        <div class="mdl-grid no-padding">
          <div class="mdl-cell mdl-cell--6-col">
            <form>
              <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" style="width: 100%">
                <input class="mdl-textfield__input" type="text" id="src">
                <label class="mdl-textfield__label" for="src">SRC
                </label>
              </div>
            </form>
          </div>
          <div class="mdl-cell mdl-cell--6-col">
            <form>
              <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" style="width: 100%">
                <input class="mdl-textfield__input" type="text" id="dest">
                <label class="mdl-textfield__label" for="dest">DEST
                </label>
              </div>
            </form>
          </div>
        </div>
        <h6 class="no-margin" id="outoffset">
          offset: 0x0
        </h6>
        <form>
          <div class="mdl-textfield mdl-js-textfield" style="width: 100%">
            <h6 class="no-margin">
              HEX ASM
            </h6>
            <textarea class="mdl-textfield__input" type="text" id="hexasmout" readonly></textarea>
            <label class="mdl-textfield__label" for="output"></label>
          </div>
        </form>
        <form>
          <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label" style="width: 100%">
            <input class="mdl-textfield__input" type="text" id="CONVERTIN">
            <label class="mdl-textfield__label" for="CONVERTIN">IN</label>
          </div>
        </form>
        <form>
          <div class="mdl-textfield mdl-js-textfield" style="width: 100%">
            <h6 class="no-margin">
              ARRAY/HEX OUT
            </h6>
            <textarea class="mdl-textfield__input" type="text" id="CONVERTOUT"
              readonly>Insert 31 E0 or { 0x31, 0xE0 } into IN to convert between them :)</textarea>
            <label class="mdl-textfield__label" for="output"></label>
          </div>
        </form>
      </div>
    </div>
    <div class="mdl-cell mdl-cell--1-col">
    </div>
  </div>
</body>

</html>